[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: meta package cross-compile-....



On Thu, 6 Nov 2008 12:22:10 +0100
"Hector Oron" <hector.oron@gmail.com> wrote:

> > What is your opinion about such meta package?
> 
> It can make things slightly easier. There would be no problem to
> create that meta package from toolchain point of view, but i do not
> know how would that affect to emdebian-tools package, Neil?

emsetup would still check the individual packages, but as Simon
commented, gcc-4.3-$arch and g++-4.3-$arch are probably all that are
really needed.

The problems come when gcc-4.4 arrives but as long as the meta package
is automated along with the toolchain build process, it could be
manageable.

The main issue is the repository. The meta package cannot be in Debian.
This means that the user has to set up the Emdebian toolchain source
first (and install emdebian-archive-keyring) before the meta package is
even visible. Once Lenny is released, I want to migrate
emdebian-archive-keyring into debian-archive-keyring anyway.

One other issue - we can provide toolchains for uClibc and other
setups, making *all* of those available as meta-packages is probably
NOT worth doing.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

Attachment: pgpjRwPIGsmzn.pgp
Description: PGP signature


Reply to: